# Interface Instance

All Known Implementing Classes:
  `GenerateLoad.GeneratorInstance, SimpleClient`

public interface Instance
This interface is implemented by a class that can be run in an instance container.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`Instance.Reporter`
This object is used to report back changes in status.

## Method Summary

Modifier and Type
Method
Description
`void`
`configure(String params)`
This will be the second method invoked by the InstanceContainer.
`void`
`setReporter(Instance.Reporter r)`
This will be the first method invoked by the InstanceContainer after an instance of this interface has been constructed.
`void`
`start()`
Starts this instance.
`void`
`stop()`
Stops this instance.

## Method Details

### setReporter

void setReporter(Instance.Reporter r)
This will be the first method invoked by the InstanceContainer after an instance of this interface has been constructed. It will only be invoked once.

Parameters:
  `r` - a handle to use to report on status changes.

### configure

void configure(String params)
This will be the second method invoked by the InstanceContainer. It may be invoked again if the configuration changes.

Parameters:
  `params` - parameters that were passed to the InstanceManager when this instance was scheduled.

### start

void start()
Starts this instance.

### stop

void stop()
Stops this instance.